%define major 1
%define libname %mklibname %{name} %major
%define develname %mklibname %{name} -d
%define oldlibname %{mklibname xcb-keysyms 1}

Summary:	xcb-util's xcb-keysyms
Name:		xcb-util-keysyms
Version:	0.4.0
Release:	%mkrel 2
Url:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
License:	MIT
Group:		System/X11
BuildRequires:	xcb-util-devel >= 0.3.8
BuildRequires:	x11-util-macros
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%package -n %{libname}
Summary: xcb-util-keysyms library package
Group: System/X11
%rename %{oldlibname}

%description -n %{libname}
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

This is the xcb-util-keysyms library package.

%package -n %{develname}
Summary: xcb-util-keysyms development files
Group: Development/Libraries
Provides:  libxcb-util-keysyms-devel = %{version}-%{release}
Provides:  xcb-util-keysyms-devel = %{version}-%{release}
Requires:  %{libname} = %{version}-%{release}
Conflicts: %{mklibname xcb-util -d} < 0.3.8
Conflicts: %{mklibname xcb-util -d -s} < 0.3.8

%description -n %{develname}
This pakcage includes the development files required to build software against
%{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/libxcb-keysyms.so.%{major}*

%files -n %{develname}
%doc ChangeLog NEWS README
%{_includedir}/xcb/xcb_keysyms.h
%{_libdir}/libxcb-keysyms.so
%{_libdir}/pkgconfig/xcb-keysyms.pc

%clean
rm -rf %{buildroot}


%changelog
* Wed Dec 07 2016 adrianomorselli <adrianomorselli> 0.4.0-2uplos2016
- rebuild

* Fri Jul 29 2016 bb <bb> 0.4.0-2pclos2016
- rebuild for updates

* Fri Mar 11 2016 bb <bb> 0.4.0-1pclos2016
- update

* Thu Oct 31 2013 bb <bb> 0.3.9-1pclos2013
- update
